Subject: Re: [PATCH bpf-next 4/4] selftests/bpf: Remove tests for prologue/epilogue with kfuncs

From: Jakub Sitnicki <[email-masked]>
Date: Wed, 21 Jan 2026 10:49:20 +0100

On Tue, Jan 20, 2026 at 03:48 PM -08, Martin KaFai Lau wrote:
> On 1/19/26 11:53 AM, Jakub Sitnicki wrote:
>> Remove pro_epilogue_with_kfunc test program and its supporting code in
>> bpf_testmod. This test exercised calling kfuncs from prologue and epilogue,
>> which is no longer supported after the switch to direct helper calls.
>
> Is it easy to change it to test calling helper in pro/epilogue?

I gave it a shot and the obstacle is that bpf_cgroup_from_id and
bpf_cgroup_release are not exported symbols, so they can't be referred
to from bpf_testmod. We'd have to move the whole thing to lib/test_bpf
so it's a built-in.